<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import {
  Badges,
  Categories,
  Hero,
  PricingTiers,
} from '../components/devsecops/index.vue';
import { PricingBanner } from '../components/pricing/index.vue';
import { getPageMetadata } from '~/common/meta';
import { PageDTO } from '~/models/page.dto';

export default Vue.extend({
  components: {
    Hero,
    Categories,
    Badges,
    PricingTiers,
    PricingBanner,
  },
  async asyncData({ $devSecOpsService }) {
    try {
      const data: PageDTO = await $devSecOpsService.getContent(`devsecops`);
      return { data };
    } catch (e) {
      throw new Error(e);
    }
  },
  data() {
    return {};
  },
  head(): MetaInfo {
    return getPageMetadata(
      (this as any).data,
      this.$route.path,
      this.$nuxtI18nHead({ addSeoAttributes: true }),
    );
  },
});
</script>

<template>
  <div>
    <Hero v-bind="data.hero" />
    <Categories v-bind="data.categories_block" />
    <PricingBanner v-if="data.banner" :data="data.banner" />
    <Badges v-bind="data.badges" />
    <PricingTiers v-bind="data.pricing" />
  </div>
</template>
